## WebKitWebViewBackend WebKitWebViewBackend — A web view backend |

## Functions

struct wpe_view_backend * | webkit_web_view_backend_get_wpe_backend ()
WebKitWebViewBackend * | webkit_web_view_backend_new ()

## Types and Values

#define | WEBKIT_TYPE_WEB_VIEW_BACKEND
| WebKitWebViewBackend

## Object Hierarchy

        GBoxed
        ╰── WebKitWebViewBackend

## Description

A WebKitWebViewBackend is a boxed type wrapping a WPE backend used to create a WebKitWebView. A WebKitWebViewBackend is created with `webkit_web_view_backend_new()` and it should be passed to a WebKitWebView constructor that will take the ownership.

## Functions

### webkit_web_view_backend_get_wpe_backend ()

    struct wpe_view_backend *
    webkit_web_view_backend_get_wpe_backend
                                   (WebKitWebViewBackend *view_backend);

Get the WPE backend of `view_backend`

#### Parameters

view_backend | a WebKitWebViewBackend |

#### Returns

the wpe_view_backend.

[transfer none]

Since: 2.20

### webkit_web_view_backend_new ()

    WebKitWebViewBackend *
    webkit_web_view_backend_new (struct wpe_view_backend *backend,
                                 GDestroyNotify notify,
                                 gpointer user_data);

Create a new WebKitWebViewBackend for the given WPE `backend` . You can pass a GDestroyNotify that will be called when the object is destroyed passing `user_data` as the argument. If `notify` is `NULL`, `wpe_view_backend_destroy()` will be used with `backend` as argument. The returned WebKitWebViewBackend should never be freed by the user; it must be passed to a WebKitWebView constructor that will take the ownership.

#### Parameters

backend | a wpe_view_backend. | [transfer full]
notify | a GDestroyNotify, or `NULL`. | [nullable]
user_data | user data to pass to `notify` |

#### Returns

a newly created WebKitWebViewBackend

Since: 2.20

## Types and Values

### WEBKIT_TYPE_WEB_VIEW_BACKEND

    #define WEBKIT_TYPE_WEB_VIEW_BACKEND (webkit_web_view_backend_get_type())

### WebKitWebViewBackend

    typedef struct _WebKitWebViewBackend WebKitWebViewBackend;

## See Also

WebKitWebView.